#include <stdio.h>
#include <stdlib.h>
#include <winb.h>
#include <te.h>
#include <fntb.h>
#include <gui.h>

extern int	idImageWin ;
extern int	imageWINfunc() ;
extern int	idImageHSBar ;
extern int	imageSBARfunc() ;
extern int	idImageVSBar ;
extern int	idImageTitleDBtn ;
extern int	idImageTitleMsg ;
extern int	idImageEraseDBtn ;
extern int	ImageEraseDBtnProc() ;

#define ALIGN	4
#define OFFSET(type) (sizeof(MMIPACKET) + (sizeof(type)+ALIGN-1)/ALIGN*ALIGN)

/*	MMI_init pf[^	*/

/*	wb_	*/

MMIINIT	initDataZIMGWIN = { "MmiInit",   6, 0 } ;

/* idImageWin */

static MMIPACKET d001 = {	&idImageWin,
							NULL,
							&MJ_WINDOWL40,
							OFFSET(WINDOWL40),
							MS_NONE
						} ;
static WINDOWL40	d001d = {	MS_BTRIGHTL40 | MS_BTLEFTL40 | MS_EVDRAGL40 | MS_EVMOVEL40 | MS_EVMOSONL40 | MS_HIDEL40 | MS_RESIZEL40,
							   0,  20, 511, 479, 8, 6, 8,
							MS_BFRAMEL40 | MS_FRAMEL40,
							NULL,   0,   0,
							   1,  17, 100, 100,
							  64,  64, 640, 480,
							imageWINfunc,
							NULL,
						} ;

/* idImageHSBar */

static MMIPACKET d002 = {	&idImageHSBar,
							&idImageWin,
							&MJ_SCRLL40,
							OFFSET(SCRLL40),
							MS_NONE
						} ;
static SCRLL40	d002d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_HORIL40,
							   0, 464, 497, 479, 8, 6, 6,
							MS_PANELL40 | MS_FRAMEL40,
							imageSBARfunc,
							   0,   0, 255,  16,  16,
							 265, 266
						} ;

/* idImageVSBar */

static MMIPACKET d003 = {	&idImageVSBar,
							&idImageWin,
							&MJ_SCRLL40,
							OFFSET(SCRLL40),
							MS_NONE
						} ;
static SCRLL40	d003d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40,
							 496,  36, 511, 465, 8, 6, 6,
							MS_PANELL40 | MS_FRAMEL40,
							imageSBARfunc,
							   0,   0, 255,  16,  16,
							 263, 264
						} ;

/* idImageTitleDBtn */

static MMIPACKET d004 = {	&idImageTitleDBtn,
							&idImageWin,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d004d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40 | MS_DSPONLYL40,
							   0,  20, 511,  36, 0, 6, 8,
							MS_UFRAMEL40 | MS_FRAMEL40,
							0,
							0x0000
						} ;

/* idImageTitleMsg */

static MMIPACKET d005 = {	&idImageTitleMsg,
							&idImageWin,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d005d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							  21,  21, 160,  36, 0, 7, 8,
							MS_NONEL40,
							"^Cg",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* idImageEraseDBtn */

static MMIPACKET d006 = {	&idImageEraseDBtn,
							&idImageWin,
							&MJ_DBUTTONL40,
							0,
							MS_NONE
						} ;
static DBUTTONL40	d006d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							   2,  22,  14,  34, 0, 6, 8,
							MS_PANELL40,
							ImageEraseDBtnProc,
							0x0000
						} ;

